#include <iostream>
#include <iomanip>
using namespace std;

int main()
{
	int N, i, j;
	cin >> N;
	double A[2 * 10 ^ 5], max = 0;
	double  P[2 * 10 ^ 5], porez, zarada[2 * 10 ^ 5];
	for (i = 0; i < N; i++){
		cin >> A[i] >> P[i];
		zarada[i] = 0;
	}
	for ( i = 0; i < N; i++)
	{
		for ( j = 0; j < N; j++)
		{
			if (P[i] <= P[j])
				zarada[i] += (double) A[j] * P[i]/100;
		}
	}
	for ( i = 0; i < N; i++)
	{
		if (max < zarada[i]) {
			max = zarada[i];
			porez = P[i];
		}
	}
	cout << fixed << showpoint << setprecision(4) << max << endl;
}